Runtime error while running spawn_npc.py

Hi,
My System specifications:
OS: Ubuntu 18.04,
Memory: 15.7 GiB,
Processor: AMD® Ryzen 7 3800x 8-core processor × 16,
GPU 4 GiB.

I have followed this link to build CARLA Simulator in my Ubuntu 18.04 System.
while executing this commandpython3 spawn_npc.py
I got this error

destroying 0 vehicles

done.
Traceback (most recent call last):
  File "spawn_npc.py", line 104, in main
    world = client.get_world()
RuntimeError: time-out of 10000ms while waiting for the simulator, make sure the simulator is ready and connected to 127.0.0.1:2000

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "spawn_npc.py", line 291, in <module>
    main()
  File "spawn_npc.py", line 277, in main
    client.apply_batch([carla.command.DestroyActor(x) for x in vehicles_list])
RuntimeError: rpc::timeout: Timeout of 10000ms while connecting to 127.0.0.1:2000

Please help me to solve this problem

Thanks in Advance
Malathi